/* SctServer_API - Copyright (c) 2008-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api;

import fr.exemole.sctserver.api.collect.ScrutariSource;
import fr.exemole.sctserver.api.collect.ScrutariSourceList;
import fr.exemole.sctserver.api.conf.ConfDirectory;
import net.mapeadores.util.logging.MultiMessageHandler;


/**
 *
 * @author Vincent Calame
 */
public interface ScrutariSourceManager {

    public ScrutariSource getScrutariSouce(String scrutariSourceName);

    public ScrutariSourceList getScrutariSourceList();

    public void reloadConf(ConfDirectory confDirectory);

    public boolean collect(MultiMessageHandler messageHandler, boolean forceDataDownload);

}
