/* Scrutari - Copyright (c) 2009-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets;


/**
 *
 * @author Vincent Calame
 */
public interface ConfigErrorMessageKeys {

    public final static String INIT_PARAMETER = "_ error.config.initparameter";
    public final static String MISSING_CONF_FILE = "_ error.config.conffile_missing";
    public final static String CONF_FILE_DIRECTORY = "_ error.config.conffile_dir";
    public final static String CONF_FILE_IOERROR = "_ error.config.conffile_io";
    public final static String PARSER_CONFIG = "_ error.config.parseconfig";
    public final static String XML_PARSE = "_ error.config.conffile_xml";
    public final static String XML_CONFDIR_MISSING = "_ error.config.xml_confdir_missing";
    public final static String XML_VARDIR_MISSING = "_ error.config.xml_vardir_missing";
    public final static String XML_PATH_NOTEXIST = "_ error.config.xml_path_notexist";
    public final static String XML_PATH_NOTDIR = "_ error.config.xml_path_notdir";
    public final static String XML_UUID_MISSING = "_ error.config.xml_uuid_missing";
}
