/* SctServer_API - Copyright (c) 2014-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api.collect;

import java.net.URL;
import net.scrutari.datauri.BaseURI;


/**
 *
 * @author Vincent Calame
 */
public interface ScrutariSourceDef {

    public final static short INFO_TYPE = 1;
    public final static short SCRUTARIDATA_TYPE = 2;

    public String getName();

    public int getUrlCount();

    public short getUrlType(int i);

    public URL getUrl(int i);

    public int getFrequency(int i);

    /**
     * Peut être nul.
     *
     * @return
     */
    public BaseURI getMainBaseURI();

    public int getAliasCount();

    public BaseURI getAlias(int i);

    public String getBaseIcon();

}
